//+--------------------------------------------------------------------------------+
//|                                       RSIOMA_v3Var                by Kalenzo   |
//+--------------------------------------------------------------------------------+
// mod2008fxtsd 

#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_buffers 2

#property indicator_color1 MediumBlue
#property indicator_color2 Purple

#property indicator_width1 2   
#property indicator_width2 1

#property indicator_maximum 100
#property indicator_minimum 0

#property indicator_level1 80 //76.4
#property indicator_level2 70 //61.8
#property indicator_level3 50
#property indicator_level4 30 //38.2
#property indicator_level5 20 //23.6
#property indicator_levelcolor  SlateGray

//---- input parameters
extern int MA_Period          = 11;
extern int MA_MODE            = MODE_EMA;
extern int MA_PRICE           = PRICE_CLOSE;

extern int RSI_ofMA_Period   = 9;
extern int RSI_ofMA_PRICE    = PRICE_CLOSE;

extern int MA_RSIOMA_Period   = 7;
extern int MA_RSIOMA_MODE     = MODE_EMA;

extern string   note_MA_Mode  = "SMA0 EMA1 SMMA2 LWMA3";
extern string   _____Price    = "0C 1O 2H 3L 4Md 5Tp 6WghC: Md(HL/2)4,Tp(HLC/3)5,Wgh(HLCC/4)6";


//---- buffers
double MAbuffer[];
double RSIOMAbuffer[];
double MaRSIOMAbuffer[];


//+--
int init()
  {
   IndicatorBuffers(3);
   
   SetIndexBuffer(0,RSIOMAbuffer);
   SetIndexBuffer(1,MaRSIOMAbuffer);
   
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   
   SetIndexBuffer(2,MAbuffer);
   
      string short_name;
   short_name = "RSIOMA (MA "+MA_Period+", RSI "+RSI_ofMA_Period+", MaRSIOMA "+MA_RSIOMA_Period+")";   
   IndicatorShortName(short_name);


   return(0);
  }

//+--

int start()
{
   int i, limit, counted_bars=IndicatorCounted();
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
      limit=Bars-counted_bars;



   for(i=limit;i>=0;i--) MAbuffer[i]       = iMA(NULL,0,MA_Period,0,MA_MODE,MA_PRICE,i);

   for(i=limit;i>=0;i--) RSIOMAbuffer[i]   = iRSIOnArray(MAbuffer,0,RSI_ofMA_Period,i);

   for(i=limit;i>=0;i--) MaRSIOMAbuffer[i] = iMAOnArray(RSIOMAbuffer,0,MA_RSIOMA_Period,0,MA_RSIOMA_MODE,i); 

//----
return(0);
}


